> ## Documentation Index
> Fetch the complete documentation index at: https://plai-a079b342.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Conversions

> Get custom conversions for a campaign

## Request Body

<ParamField body="userId" type="string" required>
  User ID, If not already created, make a user on [create user
  page](/api-reference/endpoint/auth/create_user) first. If already created,
  retrieve the user ID from [get profile
  page](/api-reference/endpoint/auth/get_profile).
</ParamField>

<ParamField body="pixelId" type="string" required>
  Facebook Pixel ID, you can get the pixel id from
  [here](/api-reference/endpoint/meta/get_pixels_list)
</ParamField>

<ParamField body="campaignType" type="string" required>
  Campaign Type, Supported values are: `CONVERSIONS`, `OUTCOME_SALES`
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates that the HTTP response was successful (status code 200 OK).
</ResponseField>

<ResponseField name="results" type="object">
  <Expandable title="Results Object">
    <ResponseField name="success" type="boolean">
      Indicates whether the specific operation or API action was successful.
    </ResponseField>

    <ResponseField name="customConversions" type="object[]">
      <Expandable title="Custom Conversions Object">
        <ResponseField name="name" type="string">
          Custom conversion name
        </ResponseField>

        <ResponseField name="value" type="string">
          Custom conversion value, this value is used in create campaign api, [here](/api-reference/endpoint/meta/create_campaign), for conversion and sales goal.
        </ResponseField>

        <ResponseField name="is_custom_event" type="boolean">
          Whether the conversion is a custom event
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="error" type="string">
      Error string if something went wrong
    </ResponseField>
  </Expandable>
</ResponseField>
